Subject: bug#58459: Getting a fresh emacs session with no customisation

From: uzibalqa <[email-masked]>
Date: Thu, 13 Oct 2022 12:52:43 +0000

------- Original Message -------
On Thursday, October 13th, 2022 at 12:19 PM, Po Lu <[email-masked]> wrote:

> uzibalqa [email-masked] writes:
> 
> > You can't even tell me which process is producing them and where.
> 
> 
> Because I don't know? How would I know what is installed on your
> system?

Right.  And I do not know either whatever my system has done to impose
some x-resources that emacs is taking as authority.  Suppose I had set
some of those resources myself and want to use them, then I should specify 
them like I do with my init file.  

But things are working the other way round.  Things get messed up, then have
to figure out what produced it, thing gets too complicated beyond what I consciously
did, then emacs uses them.  Does a user have control this way?  Of course not.

> > Emacs should take the user's setting in the init file rather than override them
> > with bullshit that you reckon has authority.
> 
> 
> Did you bother to read the X(7) manual page at all? If not, I suggest
> grabbing a copy off here:
> 
> https://www.x.org/archive/X11R7.7/doc/man/man7/X.7.xhtml#heading14
> 
> When you run Emacs with nothing in your init file, there will be
> nothing there to take priority over X resources.

My challenge in why emacs is taking authority from x-resources.  Rather than
firing vanilla emacs with some properly defined face with good accessibility.

If one is sure that he has set x-resources as he want, one can specify either
in the init file or in the command line where that information is.  Currently
something sets the x-resources, nobody knows what (certainly not the user in 
this case), and then emacs imposes whatever there is.  It is a bad strategy.

If emacs maintainers are actually so smart, how long is it going to take exactly
for vanilla emacs to start using some well defined accessibility metrics such
as modus-themes, so that the maximum number of users can comfortably use it.

I want you to look at this as a subject, not as an emotional thing.  Because then 
you will not look at it the right way.  Which people have already started doing.
The end seems to be always the same.  Statements that I am this bad man, and this 
other one, and so forth.